Package org.eclipse.lemminx.extensions.contentmodel.settings

## Class XMLValidationFilter

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.settings.XMLValidationSettings
  - - org.eclipse.lemminx.extensions.contentmodel.settings.XMLValidationFilter

    public class XMLValidationFilter
    extends XMLValidationSettings

XML validation settings used for a given pattern file. `{ "pattern": "**{.project,.classpath,plugin.xml,feature.xml,category.xml,.target,.product}", "noGrammar": "ignore" }`

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`XMLValidationFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getPattern()`
`boolean` `matches​(String uri)`
`void` `setPattern​(String pattern)`

### Methods inherited from class org.eclipse.lemminx.extensions.contentmodel.settings.XMLValidationSettings

`equals, getNamespaces, getNoGrammar, getNoGrammarSeverity, getSchema, getXInclude, hashCode, isDisallowDocTypeDecl, isEnabled, isRelatedInformation, isResolveExternalEntities, merge, setCapabilities, setDisallowDocTypeDecl, setEnabled, setNamespaces, setNoGrammar, setResolveExternalEntities, setSchema, setXInclude`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLValidationFilter

    public XMLValidationFilter()

### Method Detail

#### matches

    public boolean matches​(String uri)

#### getPattern

    public String getPattern()

#### setPattern

    public void setPattern​(String pattern)